[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#482269: ITP: libmath-sparsevector-perl -- Provides a sparse vector class for perl

Package: wnpp
Severity: wishlist
Owner: Bas Zoetekouw <bas@debian.org>

* Package name    : libmath-sparsevector-perl
  Version         : 0.04
  Upstream Author : Amruta Purandare, Ted Pedersen, Mahesh Joshi
* URL             : http://search.cpan.org/~tpederse/Math-SparseVector/
* License         : GPL-2+ | Artistic
  Programming Lang: Perl
  Description     : Provides a sparse vector class for perl

Supports sparse vector operations such as setting a value in a vector,
reading a value at a given index, obtaining all indices, addition and
dot product of two sparse vectors, and vector normalization.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-amd64
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Reply to: